#
# spec file for package python-PyScreeze
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyScreeze
Version:        0.1.14
Release:        lp151.3.2
Summary:        A screenshot Python module
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/asweigart/pyscreeze
Source:         https://files.pythonhosted.org/packages/source/P/PyScreeze/PyScreeze-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/asweigart/pyscreeze/master/LICENSE.txt
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Pillow}
# /SECTION
BuildRequires:  dos2unix
BuildRequires:  fdupes
Requires:       python-Pillow
BuildArch:      noarch

%python_subpackages

%description
PyScreeze is a screenshot module for Python 2 and 3.


%prep
%setup -q -n PyScreeze-%{version}
cp %{S:99} .
dos2unix README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Mar  5 2018 jengelh@inai.de
- Ensure neutrality of description.
* Mon Mar  5 2018 alarrosa@suse.com
- Initial release of python-PyScreeze 0.1.14
